Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac
Class InjacConstants

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.InjacConstants

public class InjacConstants
extends java.lang.Object

Id: InjacConstants.java,v 1.0
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: InjacConstants
Original Author: s.Gaudin
this class regroup all constants of an injac action in the channel

Field Summary
`static java.lang.String` | `ADMIN_SPACE_MODE` Admin a space in injac
`static java.lang.String` | `CHOOSE_PUBLISH_MODE` Choose the document publish mode
`static java.lang.String` | `CHOOSE_SUBMIT_MODE` Choose the document submit mode
`static java.lang.String` | `CONFIRM_PUBLISH_MODE` Confirm if we publish a document
`static java.lang.String` | `CONFIRM_REJECT_MODE` Confirm if we reject a document
`static java.lang.String` | `CONFIRM_ROOT_DOCUMENT_MODE` Confirm if we set the document as root
`static java.lang.String` | `CONFIRM_SUBMIT_MODE` Confirm if we submit a document
`static java.lang.String` | `CONFIRM_UNPUBLISH_MODE` Confirm if we unpublish a document
`static java.lang.String` | `CREATE_SPACE_MODE` Mod which create a space
`static java.lang.String` | `PUBLISH_MODE` Publish a document
`static java.lang.String` | `REJECT_MODE` Reject a document
`static java.lang.String` | `ROOT_DOCUMENT_MODE` Set the document as root
`static java.lang.String` | `SET_FILE_TO_UPLOAD_FOR_PUBLISH_MODE` If we upload a file for publishing it
`static java.lang.String` | `SET_FILE_TO_UPLOAD_FOR_SUBMIT_MODE` If we upload a file for submitting it
`static java.lang.String` | `SET_METADATA_ON_DOCUMENT_MODE` Metadata on an injac document
`static java.lang.String` | `SET_NAME_FOR_CREATE_SPACE_MODE` Mod which create inteface to set the new space name
`static java.lang.String` | `SUBMIT_MODE` Submit a document
`static java.lang.String` | `UNPUBLISH_MODE` Unpublish a document
`static java.lang.String` | `VERIFY_CHOICE_FOR_PUBLISH_MODE` Verify the choice for the publish mode
`static java.lang.String` | `VERIFY_CHOICE_FOR_SUBMIT_MODE` Verify the choice for the submit mode

Constructor Summary
`InjacConstants()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SET_NAME_FOR_CREATE_SPACE_MODE

    public static final java.lang.String SET_NAME_FOR_CREATE_SPACE_MODE

  Mod which create inteface to set the new space name

  See Also:
    Constant Field Values

### CREATE_SPACE_MODE

    public static final java.lang.String CREATE_SPACE_MODE

  Mod which create a space

  See Also:
    Constant Field Values

### ADMIN_SPACE_MODE

    public static final java.lang.String ADMIN_SPACE_MODE

  Admin a space in injac

  See Also:
    Constant Field Values

### SET_METADATA_ON_DOCUMENT_MODE

    public static final java.lang.String SET_METADATA_ON_DOCUMENT_MODE

  Metadata on an injac document

  See Also:
    Constant Field Values

### CHOOSE_SUBMIT_MODE

    public static final java.lang.String CHOOSE_SUBMIT_MODE

  Choose the document submit mode

  See Also:
    Constant Field Values

### VERIFY_CHOICE_FOR_SUBMIT_MODE

    public static final java.lang.String VERIFY_CHOICE_FOR_SUBMIT_MODE

  Verify the choice for the submit mode

  See Also:
    Constant Field Values

### SET_FILE_TO_UPLOAD_FOR_SUBMIT_MODE

    public static final java.lang.String SET_FILE_TO_UPLOAD_FOR_SUBMIT_MODE

  If we upload a file for submitting it

  See Also:
    Constant Field Values

### CONFIRM_SUBMIT_MODE

    public static final java.lang.String CONFIRM_SUBMIT_MODE

  Confirm if we submit a document

  See Also:
    Constant Field Values

### SUBMIT_MODE

    public static final java.lang.String SUBMIT_MODE

  Submit a document

  See Also:
    Constant Field Values

### CHOOSE_PUBLISH_MODE

    public static final java.lang.String CHOOSE_PUBLISH_MODE

  Choose the document publish mode

  See Also:
    Constant Field Values

### VERIFY_CHOICE_FOR_PUBLISH_MODE

    public static final java.lang.String VERIFY_CHOICE_FOR_PUBLISH_MODE

  Verify the choice for the publish mode

  See Also:
    Constant Field Values

### SET_FILE_TO_UPLOAD_FOR_PUBLISH_MODE

    public static final java.lang.String SET_FILE_TO_UPLOAD_FOR_PUBLISH_MODE

  If we upload a file for publishing it

  See Also:
    Constant Field Values

### CONFIRM_PUBLISH_MODE

    public static final java.lang.String CONFIRM_PUBLISH_MODE

  Confirm if we publish a document

  See Also:
    Constant Field Values

### PUBLISH_MODE

    public static final java.lang.String PUBLISH_MODE

  Publish a document

  See Also:
    Constant Field Values

### CONFIRM_UNPUBLISH_MODE

    public static final java.lang.String CONFIRM_UNPUBLISH_MODE

  Confirm if we unpublish a document

  See Also:
    Constant Field Values

### UNPUBLISH_MODE

    public static final java.lang.String UNPUBLISH_MODE

  Unpublish a document

  See Also:
    Constant Field Values

### CONFIRM_REJECT_MODE

    public static final java.lang.String CONFIRM_REJECT_MODE

  Confirm if we reject a document

  See Also:
    Constant Field Values

### REJECT_MODE

    public static final java.lang.String REJECT_MODE

  Reject a document

  See Also:
    Constant Field Values

### CONFIRM_ROOT_DOCUMENT_MODE

    public static final java.lang.String CONFIRM_ROOT_DOCUMENT_MODE

  Confirm if we set the document as root

  See Also:
    Constant Field Values

### ROOT_DOCUMENT_MODE

    public static final java.lang.String ROOT_DOCUMENT_MODE

  Set the document as root

  See Also:
    Constant Field Values

Constructor Detail

### InjacConstants

    public InjacConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD